Bug 663964 - Wrong Intel fakeraid building on boot
Wrong Intel fakeraid building on boot
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: mdadm (Show other bugs)
14
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Doug Ledford
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-17 09:39 EST by Maxim
Modified: 2013-01-10 01:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-14 20:07:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Maxim 2010-12-17 09:39:04 EST
Description of problem:

After upgrading from FC13 to FC14 I've found that new kernel didn't want to boot. Deep investigation with drshell in boot params showed that only second drive of Intel fakeraid had valid metadata (mdadm -E /dev/sdX) . But first drive had invalid metadata and mdadm thought that drive's from another array. Of course kernels from FC11-FC13 and vista os booted up well in this setup. (my temporary solution is booting from FC13 kernel which left after 'yum upgrade' ).

Another part of the problem: 
Fakeraid BIOS shows that both drives is unavailable after rebooting by Ctr+Alt+Del from fc14. Therefore PC must be turned off and on to boot again even in FC13 kernel.

Version-Release number of selected component (if applicable):

dracut-006-5.fc14.noarch (and previous releases in FC14)
mdadm-3.1.3-0.git20100804.2.fc14.x86_64 (and previous releases in FC14)
kernel-2.6.35.9-64.fc14.x86_64
kernel-2.6.35.6-48.fc14.x86_64

How reproducible:

May be try to install FC14 on system with intel fakeraid0 where /dev/sda and /dev/sdb is parts of an array.

Steps to Reproduce:
  
Actual results:

FC14 didn't boot when rootfs on intel fakeraid0


Expected results:

Ability to setup system on intel fakeraid0

Additional info:

Core i7 965, Intel fakeraid 0 on two VelociRaptors, x86_64
Comment 1 Maxim 2010-12-17 10:55:19 EST
More clean description of second part of behavior:

Fakeraid BIOS shows that both drives is unavailable after rebooting by
Ctr+Alt+Del from fc14 kernel. Therefore PC must be turned off and on to boot again
even for botting into FC13 kernel or vista.
Comment 2 Maxim 2010-12-22 04:00:59 EST
It's strange! But yesterday I was trying to reinstall FC14 to hw raid0 and found that with kernel from update-testing (2.6.35.10) and other tools (mdadm,dracut) from installation DVD freshly installed system builded intel fakeraid0 well on boot! But with upgraded tools (mdadm dracut etc ) even this kernel does not build fakeraid on boot with the same symptoms (first drive has wrong metadata according mdadm)
Comment 3 Doug Ledford 2011-07-14 20:07:17 EDT
I don't have the ability to reproduce this.  At this point, I'm guessing you've moved on to f15 (if not, I would suggest it, the mdadm in f15 is significantly improved in terms of Intel fakeraid support).  If this is still a problem for you on f15, then please reopen the bug and update the version to reflect that it happens under f15 too please.

Note You need to log in before you can comment on or make changes to this bug.